Name:           vldocking
Version:        2.1.5
Release:        %mkrel 3
Summary:        A Java ™ docking system for JFC Swing applications
Group:          Development/Java
URL:            http://code.google.com/p/vldocking/
# http://cvs.fedoraproject.org/repo/pkgs/vldocking/vldocking_2.1.5.zip/ee2ecd6c659d20f154b9f685fd583dfe/vldocking_2.1.5.zip
# svn checkout http://vldocking.googlecode.com/svn/trunk/ vldocking
Source:         vldocking_%{version}.zip
Patch0:         vldocking-2.1.5-build_xml.patch
License:        CeCILL, LGPL
BuildRequires:  ant
BuildRequires:  jpackage-utils
BuildRequires:  java-javadoc
Requires:       jpackage-utils
BuildArch:      noarch

%description
Docking windows allow the user to reorganize the application's workspace
according to his needs:

* Drag and Drop parts of the application ("Dockables")
* Hide the dockables not often used to save screen space
* Detach some dockables and have them floating outside the window
* Easily switch between different workspaces
* And much more.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
A Java ™ docking system for JFC Swing applications.

This package contains documentation for %{name}.

%prep
%setup -q -n vldocking_%{version}
%patch0

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

for c in $(find . -name "*.class"); do
  rm -rf $c
done

%build

ant jar
ant -Dj2se.api=%{_javadocdir}/java javadoc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
install -pm 0644 jar/vldocking_%{version}.jar %{buildroot}%{_javadir}/vldocking-%{version}.jar

(
  cd %{buildroot}%{_javadir}/
  for jar in *-%{version}.jar ; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/vldocking-%{version}
cp -rp doc/api/* %{buildroot}%{_javadocdir}/vldocking-%{version}
ln -sf vldocking-%{version} %{buildroot}%{_javadocdir}/vldocking

%files
%{_javadir}/vldocking-%{version}.jar
%{_javadir}/vldocking.jar
%doc Licence_CeCILL-V1_VF.pdf Licence_CeCILL-V1.1_VA.pdf

%files javadoc
%{_javadocdir}/vldocking-%{version}
%{_javadocdir}/vldocking



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.1.5-3.mga4
+ Revision: 520057
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.1.5-2.mga3
+ Revision: 385433
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 02 2011 dmorgan <dmorgan> 2.1.5-1.mga2
+ Revision: 131272
- Clean spec file

  + gil <gil>
    - imported package vldocking


* Tue May 31 2011 gil <gil> 1.6-0.%%mkrel
- initial rpm